Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » OCL » Probable move to Java 7 classes for Eclipse OCL in Mars
Probable move to Java 7 classes for Eclipse OCL in Mars [message #1691072] Thu, 02 April 2015 07:00
Ed Willink is currently offline Ed WillinkFriend
Messages: 5585
Registered: July 2009
Senior Member
Hi

Some of the Eclipse platform plugins moved to Java 7 classes for Mars M6
and this is causing problems continuing to provide Java 5 (Classic
Eclipse OCL) or Java 6 (Pivot Eclipse OCL) plugins. See [1].

The simple solution is to just shift all Eclipse OCL plugins to Java 7
classes.

An alternative is to omit the 'tampered' *.pack.gz files for Mars, and
re-introduce them after Mars when the Eclipse OCL build may move to
Tycho from Buckminster.

Does anyone have a use case for not moving to Java 7 and so removing all
support for Java 5 and Java 6?

(And while I'm asking, does anyone have a problem moving to Java 8 for
Mars+1?)

Regards

Ed Willink

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=4
Previous Topic:Problems with generating Java code for static Profiles
Next Topic:Unregistering OclInEcore in lieu of CompleteOCL at runtime?
Goto Forum:
  


Current Time: Mon Jan 22 20:35:28 GMT 2018

Powered by FUDForum. Page generated in 0.01399 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software